
QGIS Application - Bug report #4140

projection problem with QGIS 1.7 "--snapshot"

2011-08-05 06:59 AM - Jim Hammack

Status: Closed

Priority: Normal

Assignee: Tim Sutton

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Slackware Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14120

Description

When saving map as an image using command line "--snapshot" raster images are displaced, vectors are okay.  See 

http://gotslack.org/hammack/qgis

Possibly related to #4076?

History

#1 - 2011-10-07 12:16 PM - Giovanni Manghi

- Status changed from Open to Feedback

I can't understand where is the issue with projections. Seems to me that is just a matter of extent/scale difference between the two ways of saving what's in

the canvas. Please leave further feedback.

#2 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2013-07-21 01:55 PM - Daniel Vaz

This still occurs? Can you provide some feedback using master version?

Thanks in advance

#6 - 2013-07-22 07:57 AM - Jim Hammack

With QGIS 1.8.0 (GDAL 1.9.1; Slackware 14.0), the application now hangs, never produces an image, and never returns to the command line.  But if I

remove the vectors (shapefile) and use only a raster it works properly.  Vectors and rasters are both EPSG:4326.

I have not been keeping up with the builds, but will test the master version as soon as I can.  It usually takes me a little while to make it Slackware-friendly. 
;-)

#7 - 2013-07-22 08:58 AM - Jim Hammack

Using the master version (22 July 13) under Slackware 14.0 and GDAL 1.9.1, there is no longer any displacement of the raster image.  However, there is a

slight error with the southern boundary of the image.  An updated example is at http://gotslack.org/hammack/qgis

#8 - 2013-07-22 09:52 AM - Daniel Vaz

Hi, I am glad to hear from you.

Could you provide some dataset? It will help me to reproduce this issue.

Thanks in advance

#9 - 2013-07-22 10:39 AM - Jim Hammack

The files I am using are:

http://www.naturalearthdata.com/http//www.naturalearthdata.com/download/10m/raster/NE1_LR_LC_SR_W_DR.zip

https://trac.openstreetmap.org/browser/applications/editors/merkaartor/share/world_shp/world_adm0.shp?rev=19995

http://gotslack.org/hammack/qgis/test.qgs

Thanks.

#10 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#11 - 2014-10-11 01:16 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

seems fine here, at least on qgis master. Reopen if necessary.

2025-04-27 2/2

http://gotslack.org/hammack/qgis
http://www.naturalearthdata.com/http//www.naturalearthdata.com/download/10m/raster/NE1_LR_LC_SR_W_DR.zip
https://trac.openstreetmap.org/browser/applications/editors/merkaartor/share/world_shp/world_adm0.shp?rev=19995
http://gotslack.org/hammack/qgis/test.qgs

